public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/python-systemd/, dev-python/python-systemd/files/
@ 2015-12-19 15:03 Mike Gilbert
  0 siblings, 0 replies; 2+ messages in thread
From: Mike Gilbert @ 2015-12-19 15:03 UTC (permalink / raw
  To: gentoo-commits

commit:     7394650daff30599077ed9d9544b05f8c90dae21
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 19 14:59:49 2015 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sat Dec 19 15:03:08 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7394650d

dev-python/python-systemd: Bump to 231

Package-Manager: portage-2.2.26_p32

 dev-python/python-systemd/Manifest                 |  1 +
 .../files/231-test_daemon-SO_PASSCRED.patch        | 28 +++++++++++++++++
 .../python-systemd/python-systemd-231.ebuild       | 35 ++++++++++++++++++++++
 3 files changed, 64 insertions(+)

diff --git a/dev-python/python-systemd/Manifest b/dev-python/python-systemd/Manifest
index 0850f1f..57c069e 100644
--- a/dev-python/python-systemd/Manifest
+++ b/dev-python/python-systemd/Manifest
@@ -1 +1,2 @@
 DIST python-systemd-230.tar.gz 39329 SHA256 656a83ff695f5de7d63411a86ea38601ad5a918595eebd0817d7b8e68642c64d SHA512 3c26c59b9005a45c3aeea8a6838ece9b5aa27dd7394ebe75319c1536b52462a847f18a79fdc8cf3bf6df9a70af63c84d5ff66a9587519dd9a006cc3df4966ce8 WHIRLPOOL 0de7ff6919bdf1c6c9cdafd71944801396157281fae1583bb060da4cf800369f97bb0c9f484f81635ed8b2e170db2bbbecf59adac0470a910167333f93c607e6
+DIST python-systemd-231.tar.gz 44430 SHA256 2c9cf53d041374898beead0c6f3b042c7d5b52425e6eb4d4b3c583d7eac12eea SHA512 b1567bd8e99025cc3b5aaeaab6539af8a5307068c403c0f1628bebc518ded80d0843b804244d1f252c858229f7f9578ce9aa988ded25f55999b0d355ce8a3455 WHIRLPOOL 4a1e05687080e8613ae607f837f39672727e60fc7bca1bca445f46413ce16280ab3bfaa30e969414d0da41f06420b7ef59043d2624dc50342cbe2d6df6add449

diff --git a/dev-python/python-systemd/files/231-test_daemon-SO_PASSCRED.patch b/dev-python/python-systemd/files/231-test_daemon-SO_PASSCRED.patch
new file mode 100644
index 0000000..d62f34e
--- /dev/null
+++ b/dev-python/python-systemd/files/231-test_daemon-SO_PASSCRED.patch
@@ -0,0 +1,28 @@
+From a129428dcd92095dc5f3c7ac4b4f096181129063 Mon Sep 17 00:00:00 2001
+From: Mike Gilbert <floppym@gentoo.org>
+Date: Sat, 19 Dec 2015 09:42:49 -0500
+Subject: [PATCH] test_daemon: Define a default value for SO_PASSCRED
+
+The socket module seems to be missing this in python2.7.
+---
+ systemd/test/test_daemon.py | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/systemd/test/test_daemon.py b/systemd/test/test_daemon.py
+index e055048..8c776d5 100644
+--- a/systemd/test/test_daemon.py
++++ b/systemd/test/test_daemon.py
+@@ -228,7 +228,9 @@ def test_notify_with_socket(tmpdir):
+     path = tmpdir.join('socket').strpath
+     sock = socket.socket(socket.AF_UNIX, socket.SOCK_DGRAM)
+     sock.bind(path)
+-    sock.setsockopt(socket.SOL_SOCKET, socket.SO_PASSCRED, 1)
++    # SO_PASSCRED is not defined in python2.7
++    SO_PASSCRED = getattr(socket, 'SO_PASSCRED', 16)
++    sock.setsockopt(socket.SOL_SOCKET, SO_PASSCRED, 1)
+     os.environ['NOTIFY_SOCKET'] = path
+ 
+     assert notify('READY=1') == True
+-- 
+2.6.4
+

diff --git a/dev-python/python-systemd/python-systemd-231.ebuild b/dev-python/python-systemd/python-systemd-231.ebuild
new file mode 100644
index 0000000..1b1f6e4
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-231.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+COMMON_DEPEND="
+	sys-apps/systemd:0=
+"
+DEPEND="${COMMON_DEPEND}
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+	!sys-apps/systemd[python(-)]
+"
+
+PATCHES=(
+	"${FILESDIR}"/231-test_daemon-SO_PASSCRED.patch
+)
+
+python_test() {
+	py.test "${BUILD_DIR}/lib" || die
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/python-systemd/, dev-python/python-systemd/files/
@ 2022-11-18 17:41 Michał Górny
  0 siblings, 0 replies; 2+ messages in thread
From: Michał Górny @ 2022-11-18 17:41 UTC (permalink / raw
  To: gentoo-commits

commit:     a7c91991b6401357fc5cb09fa3408480c8fdd7e6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 18 17:38:46 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 18 17:41:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7c91991

dev-python/python-systemd: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-systemd/Manifest                 |  1 -
 .../files/python-systemd-234-fix-py3.10.patch      | 46 ----------------------
 .../python-systemd/python-systemd-234-r2.ebuild    | 39 ------------------
 3 files changed, 86 deletions(-)

diff --git a/dev-python/python-systemd/Manifest b/dev-python/python-systemd/Manifest
index 98ada322756b..995668ddefba 100644
--- a/dev-python/python-systemd/Manifest
+++ b/dev-python/python-systemd/Manifest
@@ -1,2 +1 @@
-DIST python-systemd-234.tar.gz 53900 BLAKE2B 2658ee7083036ed8259e5f4ad0714ea15227ee836ad34c7fbbdb55dd9df48751b8d9998350d789b4f47e78fe7b4a7134e12d637e5a6ebeb29a0b31e5a4575d91 SHA512 164e34ba46827711e9c6ff9ed58b2706d9a22abfc7001de030ed7d463d8ddf783eb5fee93b207c29950a3c566018cc3f1a21a549421cf3e05c1287b433367eb2
 DIST python-systemd-235.gh.tar.gz 59858 BLAKE2B 8dbf112773dce4dfe9fb2b0e660a349481fa29c9532c5aa2d125e5bfc255b2408f63b5bd873b6fee9ebbad775ecfaf32497593b17052189797403fa31b05fd6f SHA512 f1286a477200cc7b4d2c44b43452da576e8e660925711466659795775bcee44796688e1ede6cc22e61cb5b03e631c396d22f9a133327ae1147506bce09bab47f

diff --git a/dev-python/python-systemd/files/python-systemd-234-fix-py3.10.patch b/dev-python/python-systemd/files/python-systemd-234-fix-py3.10.patch
deleted file mode 100644
index 52045b4475e1..000000000000
--- a/dev-python/python-systemd/files/python-systemd-234-fix-py3.10.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From c71bbac357f0ac722e1bcb2edfa925b68cca23c9 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Zbigniew=20J=C4=99drzejewski-Szmek?= <zbyszek@in.waw.pl>
-Date: Thu, 12 Nov 2020 16:55:56 +0100
-Subject: [PATCH] reader: make PY_SSIZE_T_CLEAN
-
----
- systemd/_reader.c | 15 +++++++++++++--
- 1 file changed, 13 insertions(+), 2 deletions(-)
-
-diff --git a/systemd/_reader.c b/systemd/_reader.c
-index 8de7f6a..3b6a4d0 100644
---- a/systemd/_reader.c
-+++ b/systemd/_reader.c
-@@ -18,7 +18,12 @@
-   along with python-systemd; If not, see <http://www.gnu.org/licenses/>.
- ***/
- 
-+#define PY_SSIZE_T_CLEAN
-+#pragma GCC diagnostic push
-+#pragma GCC diagnostic ignored "-Wredundant-decls"
- #include <Python.h>
-+#pragma GCC diagnostic pop
-+
- #include <structmember.h>
- #include <datetime.h>
- #include <time.h>
-@@ -710,11 +715,17 @@ PyDoc_STRVAR(Reader_add_match__doc__,
-              "Match is a string of the form \"FIELD=value\".");
- static PyObject* Reader_add_match(Reader *self, PyObject *args, PyObject *keywds) {
-         char *match;
--        int match_len, r;
-+        Py_ssize_t match_len;
-+        int r;
-         if (!PyArg_ParseTuple(args, "s#:add_match", &match, &match_len))
-                 return NULL;
- 
--        r = sd_journal_add_match(self->j, match, match_len);
-+        if (match_len > INT_MAX) {
-+                set_error(-ENOBUFS, NULL, NULL);
-+                return NULL;
-+        }
-+
-+        r = sd_journal_add_match(self->j, match, (int) match_len);
-         if (set_error(r, NULL, "Invalid match") < 0)
-                 return NULL;
- 

diff --git a/dev-python/python-systemd/python-systemd-234-r2.ebuild b/dev-python/python-systemd/python-systemd-234-r2.ebuild
deleted file mode 100644
index ec89a20eafc7..000000000000
--- a/dev-python/python-systemd/python-systemd-234-r2.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 2015-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python module for native access to the systemd facilities"
-HOMEPAGE="https://github.com/systemd/python-systemd"
-SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ppc ppc64 ~s390 sparc x86"
-
-DEPEND="sys-apps/systemd:0="
-RDEPEND="${DEPEND}
-	!sys-apps/systemd[python(-)]
-"
-
-PATCHES=(
-	"${FILESDIR}"/${P}-fix-py3.10.patch
-)
-
-distutils_enable_tests pytest
-
-python_compile() {
-	# https://bugs.gentoo.org/690316
-	distutils-r1_python_compile -j1
-}
-
-python_test() {
-	unset NOTIFY_SOCKET
-	cd "${T}" || die
-	epytest --pyargs systemd -o cache_dir="${T}"
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2022-11-18 17:41 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-11-18 17:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-systemd/, dev-python/python-systemd/files/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2015-12-19 15:03 Mike Gilbert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox